Contents
Hello.  My name is Squeaky Mouse.  I'm going to explain all sorts of things about myself now, so please pay attention and read all the following passages carefully so that you can take very good care of me.

About My Birth

Getting Me to Live in Your System (or Installation)

Playing with Me (or Control Menu)

My Characteristics (or Preference)

My Cheek Pouch

Teaching Me New Tricks (or Quick Selection)

Registering Me

Other Matters

Questions & Answers

My Diary


About My Birth

ike Talking to Himself

Windows is very handy because many operations can be executed from a mouse.  But, having to move the mouse pointer to buttons like [OK] and [Cancel] to make a simple choice is a nuisance.  Of course, I could use the keyboard, but moving my hand to it is tiresome.  It sure would be nice if the mouse pointer automatically moved to the button. Then, I only would have to press the button...

I was born on July 7, 1993 6:24 p.m. in Mr. ike's Windows.  I like buttons and focuses and chase after them when a new windows is opened, but Mr. ike taught me to return to my former position on the screen after a window is closed because that is what nice mouse should do.

He named me Squeaky Mouse because I cry "Squeak Squeak" when I am chasing an object.


ike
Who is ike anyway?

My real name is Toru Eguchi.  I'm almost 30 years old.  My birthday is about 2 weeks before that of Squeaky Mouse.

I was born and brought up in Ishikawa prefecture in Japan.  After graduating from a local university, I moved to Yokohama to work.  There, I met a girl few years my elder.  We dated and got married.

We are still just living by ourselves.  No children yet. During the day, I'm still working with the same company.  In the evening, I pass my time writing software.  2 years ago, I began accessing bulletin boards, and I'm now accessing Windows forum in Nifty Serve almost every night under the pseudonym ike.


Getting me to Live in Your System (or Installation)

It's easy to make your Windows my home.  Just unzip and uncompress the downloaded SQUEAK.EXE file in some directory.  Four files - SQUEAK.EXE, SQUEAK.HLP, README.TXT, and ORDERFRM.WRI - should be created.  Depending on your current situation, select and follow one of the instructions below.

Requirements

Before you try to get me to live in your system, please make sure that you have at least the followings hardware and software.  I am not able to live without them.  After making sure that your system satisfy the requirement, follow either the "If This is your Initial Installation" or "If you are upgrading from an Older Version of Squeaky Mouse" depending on your circumstance.

Hardware:

80386 or higher machine

4MB or more RAM memory

At least 300KB of free hard disk space

Software:

Windows 3.1, Windows 3.11, Windows for Workgroup 3.1, or Windows for Workgroup 3.11

If this is your Initial Installation

Copy SQUEAK.EXE and SQUEAK.HLP files to the same directory.  Execute the SQUEAK.EXE file from Windows by using either the File Manager or the Program Manager.  If you are going to play with me every time, it probably will be convenient if you move me to the Start-up group in the File Manager. HINT

If your are Updating from an Older Version of Squeaky Mouse

If Squeaky Mouse program is currently running on your system, close and end it.  Copy and overwrite the existing SQUEAK.EXE and SQUEAK.HLP files with those from the new version.  You do not have to delete the SQUEAK.INI file because is compatible between versions.

My squeak is save as mono, 8-bit, 22.05KHz sound.  If a sound card is installed in your system, I will be able to squeak much cuter.


Loading Me During Windows Start-up

When Windows is started, many different activities are executed, and I will get confused if I am loaded before other applications.  Try to load me, Squeaky Mouse, as the last program to be loaded by appending Squeaky Mouse to the very end (usually the lower right-hand corner of the group window) of the start-up group.


Playing with Me (or the Control Menu)

I always appear as an icon on a display.  When my icon is clicked once, you can tell me to do the following things:

Be Quiet!/Squeak as much as you like

I always like to squeak, but if you reprimand me severely by shouting Be Quiet!, I would stop it.  If it doesn't bother you too much, let me squeak freely by saying "Squeak as much as you like".

I was taught by my parents not to squeak when someone else is talking, so I wouldn't bother other applications.

Fall Asleep/Wake-Up

My best past time trick is sleeping.  When I am sleeping, I am not interested in buttons nor any other objects.  If you want me, wake me up.  You can easily tell me to Fall Asleep or Wake-Up by clicking the right mouse button when the pointer is on my icon.

Behave! (or Preference)

Behave! is used to set how I should behave.  For further information, refer to the  Preference section.

Cheek Pouch

When Open Cheek Pouch is selected, I will open the Cheek Pouch dialog box.  For further information about my cheek pouch, refer to the Cheek Pouch section.

My Preferred Spot

When My Preferred Spot is selected, I will remember the next object selected as my preferred spot.  I will appear at my preferred spot the next time the same window is opened.

About

I will give a simple explanation about myself.  About is also used to  Registering Meed from this dialog box.


My Characteristics (of Preference)

I am very diligent and obey whatever I am told to do by my master.  To tell me how to act, double-click on my icon or select Behave! (or Preference) from the control menu.  There are several pages to the Preference dialog box.  To go to other pages, use the scroll bar located at the right-hand side of the dialog box.

General Appearance	Teach me basic Windows manner

Chasing Style	Teach me the way and when I could chase after objects

Objects I Like/Hate	Teach me what I should like/hate to chase after so I won't get hurt

Quick Selection	Teach me things about one of my favorite trick -Quick Selection.

My Cheek Pouch	Teach me where and how I should keep my cheek pouch and what and how I could put objects into it.

Linking with Squeaky Mouse Power Cursor	Set parameters to make me more powerful.


Preference - General Appearance

Sleep

When this box is checked, I will fall into a deep sleep .  While I am asleep, I will not chase after buttons and focuses nor do other tricks.

No Preferred Spot

When No Preferred Place is checked, I will go to the default dialog box object (e.g. button) instead of going to my preferred spot.  The preferred spot is defined from the My Preferred Spot selection in the Control Menu.

Active

When Active is checked, the mouse pointer will turn into me, and I will chase after the buttons and focuses.

Always on Top

When Always on Top is checked, my Icon will always appear above the other windows.

Disable Animation

When Disable Animation is checked, I will not eat a salami sausage during my start-up. If you want me to quickly come to you service, check this box.

Friends with Icon Police

When Friends with Icon Police is checked, I will appear within the  Icon Police Panel.  I can only become really friendly with Icon Police version 2.1 or later.(I can only dance a little bit with version 1.8)

Squeak

When Squeak is checked, I am permitted to squeak. If COM is also checked, I will restrain myself from squeaking when COM port is being used (e.g. during communication).  Also, if some characters in a window seems to become distorted, check this box.

Dance

When Dance is checked, I will dance within my icon.  The dances style I know are listed in the drop list.

Nickname

Enter my nickname here.  This will be the name that will appear by my icon.  It is not possible for me to have a blank name.


Icon Police
Icon Police is a software that was introduced in 1992. Its main function is to organize icons by displaying them in a straight line at one side of the Windows.  In 1993, Icon Police was selected as the best Windows software, and I was rewarded with a small prize money which I used to buy a music synthesizer.  This synthesizer was used to create sound effects for the  new version of Icon Police and for this program.


Preference - Chasing Style

Swiftness

The speed at which I chase after objects is controlled by this scroll bar.  I will chase slower when the bar is moved to left and faster when it is moved to the right.  (I will chase faster when the number to the right of the scroll bar is made smaller).

If I am suddenly chasing very slowly (e.g. when DOS Prompt is opened), check the Timer2 box to allow me to use a different timer.

Vision

I do not have a very good eyesight.  If you try to move me too fast, I may loose sight of the object I am chasing after.  The distance I am able to see is my range of vision.  Move the scroll bar to the left to shorten my range of vision and to the right to extend my range of vision.

Speed

I can either decelerate or move in a steady pace when I am chasing after a object. When decelerate is selected, I will slow down as I near the object.  When steady is selected, I will move in a steady pace. The total elapsed time required to reach the object in both circumstances is actually the same. The total elapsed time is controlled by the Swiftness scroll bar.

Chase on Resize

When Chase on Resize is checked, I will chase after an object when application window is resized.

Chase on Maximize

When Chase on Maximize is checked, I will chase after an object when application window is maximized.

Return to Former Position

When Return to Former Position is checked, I will return to the position I was before the windows was opened.

Memory

Because I do not have such a good memory, it is hard for me to keep track of all the places where I am suppose to return to .  I will forget these place after some time interval.  The Memory scroll bar is used to set the time interval which I am suppose to remember the place I am suppose to return to.  If the interval is set for a very large time interval, you'll probably ask me why I keep returning to such a place, so choose the interval very carefully.

Return on Minimize

When Return on Minimize is checked, I will think that the minimized window is closed and return to my former position in the previous window.


Preference - Objects I Like/Hate

Likes/Hate

Objects I Like/Hate dialog box is used to define what I should like and what should hate.  Objects are listed in the order I like in the Like list.  So, the object I like the most is on the top row of the list.  On the other hand, there is no such ordering for the Hate list.  I just hate all the objects in the list in the same way.

To move object between the two lists, select an object to be moved and press the L(eft) button to move it to the Like list or the R(ight) button to move it to the Hate list.  Objects can also be transferred from one list to the other by double-clicking them.

To rearrange the order of things I like, select an object in the Like list and press on the Up or the Dn button to move it up or down the list respectively.

Only like Dialog Boxes

When Only Like Dialog Boxes is checked, I will only like objects within a dialog box.  I will not chase after objects in other types of windows.

AI Learning

When AI Learning is checked, I will try to remember the location where the first operation has been executed after the window was opened.  In some application, objects which are really not buttons are made to look like one.  With AI Learning checked, I will be able to move to these objects. Hint


Disable AI Learning

If the CTRL or the SHIFT key is pressed down while the mouse button is clicked, I will not AI learn the next object chosen.


Dialog boxes are used to enter additional information or options to execute a command.  A window that appear when File-Open command is selected from the NotePad is an example of a dialog box.


Preference - Quick Selection

QuickKey

When QuickKey is checked, A QuickKey dialog box will be displayed when the right mouse button is clicked in list boxes and combo boxes.  This dialog is used to assist you to make a list selection in a similar fashion as in the File Manager.  In the File Manager, pressing an character highlights the first occurrence of a file or a directory with the matching character.  This function is often used to enter a long file or a directory name or to quickly move to it when there is a long list of items.  The QuickKey offers a similar assistance to lists in other applications.

By pressing on one the letter in a QuickKey dialog box, the first item in the list with the same starting letter will be highlighted.  As an example, if there are many different fonts installed in your system, it is often cumbersome to find and select a font from the font list.  Suppose you are working with Write and you want to change the font to Times New Roman, you can drop the font list and scroll through the list until you find Times New Roman or you could bring up the QuickKey dialog box and choose the letter T.  to highlight the first font starting with the letter T.

To close the QuickKey dialog box, click the right mouse button anywhere in the dialog box (except the buttons) or press the ESC key.

When Enlarge is checked, a larger set of QuickKey keys will be displayed.

When Alphabetical Order is checked, keys in the QuickKey dialog box will be displayed in an alphabetical order.  Otherwise, the keys will be displayed in the QWERTY keyboard order.

QuickList

When QuickList is checked, a QuickList dialog box will be displayed when right mouse button is pressed within an edit box.  QuickList Dialog Box

As an example, instead of dropping the List Files of Type menu, file type can be entered from the QuickList dialog box.  The QuickList can keep up to 20 different patterns with the latest used pattern appearing on the top.  Thus, the next time the same file type is to be searched, you will only have to double-click the pattern with your mouse instead of scrolling through the patterns.

To close the QuickList dialog box, click the right a mouse button anywhere in the dialog box (except the buttons) or press the ESC key.

It is also possible to Cut, Copy, Paste, and Undo patterns to Windows' clipboard.

When Disable Learning is checked, the QuickList will not learn any more patterns and the last entered file pattern will always appear on the top.  If you are going to work with a same file for some time, you might make QuickList remember the file name and check this field.  You will then only have to click the mouse button twice to enter the file name.

The content of the QuickList can be edited.  Choose the Edit button.  the Edit QuickList dialog box will be displayed.  The content of the QuickList will be listed with the last used format on top.  To change the order, select a format in a list and choose the Up or the Down to move up or down the list respectively.

To edit a format, double click the format you wish to modify.  The format will become enlarged and you will be able to edit it.  To end editing and save the changes, press the ENTER key.  To cancel the changes, press the ESC key.

To save the changes and close the Edit QuickList dialog box, choose the OK button.

WARNING:	QuickList nor QuickKey can not be activated when QuickList is being edited.

QuickList will automatically append an Enter to the end of a format.  If this is unwanted, keep the right mouse button pressed down a little longer when bring up the QuickList dialog box.  The time of this delay is set by the Delay ENTER scroll bar.  From my experience, 200ms is just about right.

By default, QuickList will not become active in multi-line list (such as within the NotePad).  However, when Disable in Multi-line List is not checked, you will be able to active QuickList within the list.  If you do not encounter any problems, it probably will be better to uncheck this option.

QuickScroll

When QuickScroll is checked, you will be able to activate QuickScroll by pressing the right mouse button when the mouse pointer is on top of the scroll bar.  A mouse will quickly run up or down the slide bar to the slider button.  When the mouse reaches it, it will become enlarged, and the slide bar will change to the drag mode (i.e. the same state as when the left mouse button is press down).  When you come to the section you want to edit, press the left mouse down once.  The QuickScroll will become deactivate and the scroll bar will return to it normal state.  Warning- When QuickScroll is ineffective

When the QuickScroll is active, I will only be able to move in the scroll bar, but you will not have to continuously keep the mouse button pressed.  If you are working with a long file, this will probably assist you to scroll through the file.

Disable Learning

When Disable Learning is checked, Quick Learning is disabled.  For further information of Quick Learning, refer to the Quick Learning section.


QuickScroll is only available on scroll bar without any special properties.  Unfortunately, Microsoft Word uses a special technique in it scroll bar and QuickScroll will not work properly.  However, QuickScroll will work in Microsoft Excel Ver.5.0.

Consequently, to avoid trouble, I will not learn QuickScroll because it does not always work properly in all applications.


QuickKey Dialog Box


QuickList Dialog Box


EDIT QuickList Dialog Box


Preference - My Cheek Pouch

Open my pouch when mine icon is double-clicked

When this field is checked, I will open my cheek pouch when my icon is double-clicked.  Refer to About Cheek Pouchfor further details.

Overwrite objects with same name

When this field is checked, I will eat the item in my cheek pouch if an object with the same name is dropped into it.

Drives...

Choose the Drives... button to display the Cheek Pouch dialog box.  This dialog box is used to set to which drive objects in my cheek pouches should be saved in and if there is to be a confirmation messages are to be displayed.  Refer to Setting Cheek Pouch for further details.

Wild Card Pouch

When Wild Card Pouch is checked, you will be able to put files and directories into a Wild Card cheek pouch.  If the Wild Card format is defined, I will be able to put only the files matching the format into my cheek pouch.  As an example, you will be able to only give me files with extension OLD or files matching the format FWIN*.BAK.  You could also tell me if I could immediately eat (I will digest the file and it will become unrecoverable) or to first put it into the specified cheek pouch choosing the Drives... button in the preference dialog box.  But before you do that, please define the wild card format by choosing the Settings... button in the same box.

Key Combinations

Key Combinations drop menu is used to set a Wild Card Pouch key combination.  This key combination is used to differentiate wild card cheek pouch operation from the regular cheek pouch operation.  When None is selected, I will think that everything that is drag & dropped into my icon is to be handled as a wild card cheek pouch object.  On the other hand, if SHIFT Key, CTRL Key, or Right Mouse Button is selected, I will only handle the object as a wild card object when these keys are pressed when objects are dropped into my icon.  Warning

Settings...

Choose the Settings... button to display the Wild Card Pouch Settings Dialog box.  This dialog box is used to set properties related to Wild Card Cheek Pouch.  Refer to Settings...  for further details on how to set Wild Card Cheek Pouch.


Some file management utility assign a different property to drag operation with a when a right mouse button.  If you are using an utility that is one of these, set the Key Combinations.


Preference - Squeaky Mouse Power Cursor

If the PWRCUR.DLL file in the Squeaky Mouse Power Cursor software (a shareware package) is copied to the same directory as the SQUEAK.EXE file, you will be able to use an additional functionality of the Squeaky Mouse.  Fields in this page is only meaningful when Squeaky Mouse Power Cursor files coexist with the Squeaky Mouse files in the same directory.  For further information on Squeaky Mouse Power Cursor, refer to the Help file included with that package.


About My Cheek Pouch

My icon have a pouch inside the cheek which can be used to temporary hold files and directories.  People sometimes use a slang term trash box or a waste basket for my cheek pouch.  When a file or a folder (a directory) is drag & dropped into my icon from a File Manager, I will temporary keep it my cheek pouch.  If you look closely, you will be able to see my cheek puff as they are put in.  To open my cheek pouch, double-click my icon or selecting Open Cheek Pouch from the Control Menu.  If you accidentally gave me something, you will be able to ask me to give it back by opening my cheek pouch and choosing Take Out.  Finally, when you make me go into a hibernation (i.e. when Windows is closed), I will still retain the contents of my cheek pouch.  Thus, you will be able to take files and directories out from my cheek pouch the next time you open Windows.

What to do if I get a very bad fever and start acting strange

My cheek pouch have a following limitations:

1. I am not able to put objects from either a CD-ROM nor a network into my cheek pouch.  I will always eat them as soon as I get them.

2. Floppy disks and removable MO can be used to store contents of my cheek pouch.  However, I always check the contents of my cheek pouch when they are opened, and I probably will require more time opening them up.

3. My cheek pouch will preserve most file attributes, but create date will not be preserved.

4. Please do not try to change directly the contents of my cheek pouch.  It hurt.

5. I am only able to take out objects to it's former directory.  If the directory cease to exist, I will not be able to take it out.

I will now explains about buttons that are used to set my Cheek Pouch.

Eat

When Eat is chosen, I will eat the selected file or directory.  If file or directory is not selected, I will eat everything in my pouch.  After I eat an object, it will be digested and I will not be able to return it.

Take Out

When Take Out is chosen, I will return the selected file or directory to its former directory.

-> Cheek Pouch Drives

-> Wild Card Pouch


What to do if I get a very bad fever and start acting strange

Every file or directory that is put into my cheek pouch is actually transferred to a SQUEAK.DEL directory with a hidden attribute.  This directory is created in the root directory of each drive, and all objects that are put into my pouch are actually just moved to this directory.  As an example, if you give me A:\ABC.TXT to put into my cheek pouch, I actually just move it to A:\SQUEAK.DEL\ABC.TXT.

I also keep tab on where I found the object by keeping the location in the file named SQUEAK.DEL in the SQUEAK.DEL directory.  As an example, if I put the file A:\ABC.TXT into my cheek pouch, I will append a row, ABC.TXT=A:\ABC.TXT to the corresponding SQUEAK.DEL file.

If you absolutely need to eat the content of my cheek pouch, delete everything under the SQUEAK.DEL directory in the root directory.


Cheek Pouch Dialog box


Cheek Pouch Drives

I am able to put files and directories on a hard disk, floppy disk, or a removable MO drive into my cheek pouch.  Of course, I periodically check if someone exchanged the content of removable drives to keep my inventory straight.  If you feel that I am taking too much time checking this inventory, you could tell me to eat files or directories as soon as you give them to me.  However, you will not be able to recover what I have eaten, but it will speed the operation.  These settings as well as the confirmation setting can be specified from each accessible drive.  Cheek Pouch Setting Dialog Box

Drives

List of currently available drives.

Eat

When Eat is checked, I will immediately eat files and directories instead of putting them into my cheek pouch.  I will not be able to give back what I have eaten.

Confirm

When Confirm is checked, I will ask you if I really could put a file or a directory into my cheek pouch or if I could really eat a file.


Cheek Pouch Drives Dialog Box


Wild Card Pouch

After using you personal computer for some time, there probably will be many files created on your hard disk.  To delete unwanted files, in such a situation, you probably would use a wild card format file name to delete all files with some particular format.  If you have several of these wild card formats, it might get tedious to enter them each time you want to delete.

Wild Card Pouch allows you to associate 1 or several wild card formats to a title.  When you want to put files matching one of the format associated with the title into the cheek pouch, you would only have to select that title when you drag & drop an file.

Format for the Wild Card Pouch is compatible to the MS-DOS wild card character format.  Thus, it is possible to indicate drive and directories names in a format. Wild Card Format Examples

3 default wild card formats have been pre-defined.  Please use them as an example to further define your own formats.  Wild Card Pouch Settings Dialog Box

List

The List box contain titles of currently defined Wild Card formats.  When a title is selected with a mouse, corresponding information will be displayed in the Title and Wild Card Format boxes below.

Delete

When Delete button is chosen, the title and the associated wild card format selected in the list box is deleted from the list.

Up/Down

When Up or Down button is chosen, the title selected in the list box is moved up or down the list.

Title

The title box displays the name of the currently selected title.  Title names can be changed by editing the content of this box.

Wild Card Format

Wild Card Format box displays a wild card format associated with the Title.  To have multiple wild card format associated with a Title, separate the formats with a ; character.  As an example, if *.OLD and *.BAK are to be defined as a wild card format for a title, enter *.OLD;*.BAK in the wild card format box.

Change

When the Change button is chosen, the selected title in the list will be substituted with the definitions provided in the Title and the Wild Card Format boxes.

Add

When the Add button is chosen, the defined wild card format will be appended to the List with the name defined in the Title box.


Wild Card Format Examples

Wild Card Characters	Matching files/Directories

*	All files and directories

*.	Files without a extension

NIF*.OLD	Files starting with NIF and with OLD extension. (e.g. NIF.OLD, NIFTY.OLD)

9403??.LOG	10 characters files starting with 9403 followed by 2 characters and with LOG extension. (e.g. 9403.LOG 940331.LOG)

NIFLOG.BK*	Files starting with NIFLOG.BK with additional character at an end. (e.g.NIFLOG.BK1 NIFLOG.BK9)

A:*.BAK	Every file in the A drive with BAK extension.

\TMP\*.TMP	Every file in the TMP directory with TMP extension.


Wild Card Pouch Settings Dialog Box


About Quick Selection

Quick Selection is used to assist users make list and edit box selections with a mouse easier.  When the right mouse button is clicked on it, either a QuickKey or a QuickList dialog box will be displayed if I am taught to do so.  If I still have not been taught, a Learn Quick Selection Dialog Box will be displayed.  I will be able to remember up to 128 objects to use for quick selection.  If I am told to remember more than 128 objects, I will forget the least used object and remember the new.

Quick Selection can not be used in applications written in Visual Basic nor other custom created applications which does not use strict Windows edit or dialog boxes.  Nor can it be used when other function is assigned to the box.

II Don't Know

If you are asking, "What's happening?" or "What's this?" and you don't want to bother looking into the help file, select this option for now.  The Learn Quick Selection Dialog Box will close and you will be able to continue with your work.  I, however, have not learned anything and will prompt you again the next time the same operation is executed.

Ignore

When Ignore is chosen, I will close the Learn Quick Selection Dialog Box and will remember not to bother you again when the same operation is executed.

Learn as QuickList

When Learn QuickList is chosen, I will display the QuickList dialog box.  I will, also, remember to bring up the QuickList dialog box every time the right mouse button is clicked on this object.

Learn as QuickKey

When Learn QuickKey is chosen, I will display the QuickKey dialog box.  I will, also, remember to bring up the QuickKey dialog box every time the right mouse button is clicked on this object.

"Oh No! I taught you a wrong selection method!"

If you taught me the wrong selection, press down the CTRL key and keep it down while selecting the object once again with the mouse right button.  I will bring up a Forget Quick Selection Dialog Box to confirm your choice.

I Don't Know

When I don't know is chosen, I will not forget the Quick Selection associated with the object.

Please Forget It

When Please Forget It is chosen, I will forget the Quick Selection association with the object.


Learn Quick Selection Dialog Box


Forget Quick Selection Dialog Box


Registering Me

Squeaky Mouse is a shareware.  If you want to keep me on a continuous basis, please submit a payment of US$15.00 to cover my breeding cost.  The payment can be submitted from the SWREG forum in the CompuServe.

SWREG Number: 3630

It is also possible to submit a check.  However, we request that the payment be made from the SWREG forum to provide better support and keep our operating cost down.

We will provide support for the software through CompuServe E-mail service and will offer new versions and add-on software for Squeaky Mouse on CompuServe libraries.

Upon registration, we will only send a registration number.  This number is required to keep me from going into an eternal sleep and to obtain support.  There is no other manual or floppy disk that will come with the submission of payment.  Furthermore, we will not ship Squeaky Mouse program on a floppy disk.  Please down-load the software from the bulletin board system.

Special Registration for Physically Challenged

Number of Required Registration

Registration Method:

From the SWREG forum in the CompuServe

Sending a Check to the Developer


Individual Registration	The registration number is assigned to the registered user.  The user may make copies and use the software on any number of personal computers.  However, only the registered user is entitle to use the software.  Use by unregistered user is prohibited.

Group/Company Registration	The registration number is assigned to a personal computer.  Any number of users may use the software installed on the registered computer.  If the software is desired on several computers, each computer must get an unique registration number.  Use of the software on computer other than the registered computer is prohibited.


Squeaky Mouse is an utility capable of assisting physically challenged people use Windows applications with more ease.  As the social service, the developer wishes to provide free registration IDs to physically challenged people, who might benefit by using Squeaky Mouse.

To obtain a registration ID, please ask the group you are affiliated to submit a request for you.  We will try to process your request as soon as possible.  If we deny your request for any reason, we will try to offer an explanation.  Finally, it is recommended that submission be made for several IDs at a time to lower your and our expense.


Registering Me from the CompuServe SWREG

1. Once you login the CompuServe and the > prompt appear, enter GO SWREG to go to the shareware registration.

2. Following messages will be displayed.  Please reenter the red letters in the dialog below from your keyboard.

One moment please...

  You have left basic services

Register Shareware+   SWREG

1 Instructions to Register Shareware

2 Register Shareware

3 Instructions to Submit Shareware

4 Submit Shareware (Authors)

5 Provide Feedback

Enter choice !2

In addition to CompuServe's Service Terms and Copyright Rules, the following

terms apply to this database:

Customer agrees and acknowledges that upon registration, information including

name, address and CompuServe user ID, are forwarded to the designated member who

provided the shareware description for registration.

CUSTOMER AGREES TO INDEMNIFY AND HOLD COMPUSERVE HARMLESS FROM ANY CLAIMS AND

EXPENSES, INCLUDING REASONABLE ATTORNEY'S FEES, RELATED TO THE QUALITY OF THE

SHAREWARE, QUALITY OF THE SHAREWARE REGISTRATION INFORMATION, OR THE QUALITY OF

THE CUSTOMER AND TECHNICAL SUPPORT ASSOCIATED WITH THE SHAREWARE. MEMBERS WHO

PROVIDE SHAREWARE DESCRIPTIONS FOR REGISTRATION AGREE TO INDEMNIFY, SAVE AND

Press <CR> for more ! [Press the Enter key]

HOLD HARMLESS COMPUSERVE, ITS AGENTS, EMPLOYEES, OFFICERS AND DIRECTORS FROM AND

AGAINST ALL CLAIMS, DEMANDS AND ALLEGATIONS THAT THE SHAREWARE INFRINGES UPON

THE PROPRIETARY RIGHTS OF ANY THIRD PARTIES.

Press <CR> to continue ![Press the Enter key]

Please select the geographic region

for which you will be registering shareware.

 1 United States

 2 Canada/Mexico

 3 Europe

 4 Asia/Pacific Rim

 5 Central/South America

 6 Africa

 7 Middle East

 8 Australia/New Zealand

Enter region number: 1 [if you are registering from outside U.S.,

          please enter the appropriate number

          corresponding to your geographic region.]

Register Shareware

SEARCH BY:

 1 Registration ID

 2 Title

 3 File Name

 4 Author's User ID

 5 Author's Name

 6 Keywords (Categories)

Enter choice !1

Register Shareware

Enter Registration ID:  3630

Reg ID: 3630                      Fee (US$): 15.00

                    Shipping/Handling (US$): 0.00

Title: Squeaky Mouse Ver.1.9E

File Name: SQUEAK.ZIP             Author: Eguchi Toru [100213,442]

Size:                             Compression: ZIP

Computer Type/Operating Systems:  WINDOWS

Support: CIS:100213,442 ToruEguchi 4-3-7SERIGAYA,KOUNAN,YOKOHAMA,233 JAPAN

Forum: GO WINSHARE     Library:                        Library Number:

Squeaky Mouse Version 1.9E (Shareware:US$15.00) Require:Windows3.1 or higher

Squeaky Mouse is an utility to assist Windows users use their mouse more

fully.  A cute mouse, which squeaks, will appear when a window is opened and

will run to the default object (e.g. default window button).  Thus, the user

will only have to press the mouse button to select object.

With registration, user will receive a registration number which will keep

Squeaky from going to an external sleep and user will also receive support.

Would You Like to Register? (Y/N) Y

Register Shareware

Enter Your Name: YOUR NAME

Enter Your Company Name: YOUR COMPANY NAME

Is your mailing address in the United States? (Y/N) Y

Your Street Address/P.O. Box: YOUR ADDRESS

Your City: CITY

Your State: STATE

Your Zip Code: CODE

Your Phone Number (Optional): PHONE NUMBER

How Many Copies Do You Wish to Register? (ex. 2): 1

Register Shareware

Which Disk Size Do You Wish to Receive? (ex. 3.5 or 5.25): 3.5 [ignore]

Register Shareware

REGISTRATION ACTION MENU

 1 View

 2 Send

 3 Cancel

CHANGE

 4 Your Name

 5 Company Name

 6 Address

 7 City

 8 State/Province

 9 Zip/Postal Code

10 Country

11 Phone Number

12 Number of Copies

13 Disk Size

Enter choice !2

The author will be notified of the following registration:

Program Title: SQUEAKY MOUSE VER.1.9E

Regis. ID     Fee (US$)  Ship/Handling (US$)  Copies   Total (US$)

     3630        15.00        0.00              1        15.00

Disk Size: 3.5

This charge will be applied to your next CompuServe bill.

Are You Sure You'd Like to Register? (Y/N) Y

The Shareware has been successfully registered.

Thank you for using the Shareware Registration Database.

3. Once we receive a mail from CompuServe regarding your registration via SWREG, we will promptly send you a mail within 5 business days.  If you do not receive a mail after this period, please send a mail to:

ike:	CompuServe:100213,442

Internet:GFC03143@niftyserve.co.jp

4. When you recieve my mail with your Squeaky Mouse registration number, open the Squeaky Mouse About dialog box by selecting About from the Squeaky Mouse Control Menu (click the left mouse button).  Choose the Register button to open the Registration dialog box.  Follow the instruction in this dialog box to complete your registration.  When the program will as you to enter your registration number near the end of the registration, enter the number I have sent you.

5. The 4 steps above will complete your registration.  Please write your registration number onto a piece of paper and keep it in a safe place.  You will need it if you ever reinstalled Windows or need to reinstall Squeaky Mouse for some other reason.


Sending a Check to the Developer

1. Print out the Registration Form and fill in all appropriate fields.  Write a check for US$15.00 and put it in the envelop with the registration form.  Send this envelop to the following address:

TORU EGUCHI

4-3-7 SERIGAYA  KOUNAN YOKOHAMA  KANAGAWA  233  JAPAN

View and print Registration form

2. I will send you a Squeaky Mouse registration number within 4-6 weeks (period will depend on where you are and on the mail service) by E-mail (if I could reach you) or my a letter.  If you do not receive a mail after this period, please send notify me.  Your letter might have gotten lost.

3. When you recieve my mail with your Squeaky Mouse registration number, open the Squeaky Mouse About dialog box by selecting About from the Squeaky Mouse Control Menu (click the left mouse button).  Choose the Register button to open the Registration dialog box.  Follow the instruction in this dialog box to complete your registration.  When the program will as you to enter your registration number near the end of the registration, enter the number I have sent you.

4. The 3 steps above will complete your registration.  Please write your registration number onto a piece of paper and keep it in a safe place.  You will need it if you ever reinstalled Windows or need to reinstall Squeaky Mouse for some other reason.


Registration Form
Registration Form   [image] print form

Squeaky Mouse Version 1.9E�@

Squeaky Mouse can be registered from SWREG forum in the CompuServe or by sending a check or money order with this form by mail.  You will receive a registration number to remove the remove the registration reminder screen and  will prevent Squeaky Mouse from going into an external sleep.

Today's Date: _____________________

Your Name       ____________________________________________________________

Address: ____________________________________________________________

City:          ______________________       State:  __________     Zip Code: __________

Country:   _____________________

E-Mail Address:

CompuServe: ________________________________

Other:               ________________________________

User Name:     ______________________________________  (if different from your name)

Address: ____________________________________________________________

City:          ______________________       State:  __________     Zip Code: __________

Country:   _______________________

E-Mail Address:

CompuServe: ________________________________

Other:                ________________________________

Number of copies: ______________________ X $15.00

Total Amount:        $______________________

Comments: _________________________________________________________________________________

___________________________________________________________________________________________

___________________________________________________________________________________________

(Comments can also be left on Internet: GFC03143@niftyserve.co.jp)

If you're ordering from outside US, please make your payment in US dollars or Japanese yen.  We will not accept payment made in other currency.  Please make checks payable to: Toru Eguchi

You will receive a registration number to remove registration reminder screen and to keep Squeaky Mouse from going into a deep sleep.  Processing your check will take 3-4 weeks.  It is recommended that user register via SWREG to shorten the required registration time.

Mail the above form and you check to:	Toru Eguchi

4-3-7  Serigaya  Kounan  Yokohama,  Kanagawa  233  JAPAN

Liability

Please read the following information carefully before submitting a payment.

  The author and the developer of this software will not take any responsiblities for any damages that may occur with the use of this software.  The files contained in SQUEAK.ZIP file are distributed "as is" and without any expressed and implied warranties.  The user assumes the entire risk of using the software.

   Be sure to test that Squeaky Mouse runs correctly on your system before registering.


Questions & Answers

Below is a selection of the most common questions I have received.

[Q] My hard disk crashed.  I reinstalled Squeaky Mouse on my new drive, but I forgot my registration number.

[A] Send me a mail.  I will find your registration and resent you the number.  From now on, please copy the registration number on to a piece of paper and keep it in a safe place.

[Q] I submitted my payment by CompuServe's shareware registration system, but still have not received my registration number.

[A] A registration number is an unique number assigned to a registered users.  I will send them out as quickly as I can.->Registering Me

[Q] My friend wants to register, but he could not payment through the CompuServe's SWREG registration system (users without a credit can not use the SWREG).  Can I pay on his behalf?

[A] Yes, you can.  Please sent your name along with your friend's name, address, and network ID number (if he has one) after filing a registration by E-mail.

[Q] I recently received a mail concerning the new version of Squeaky Mouse.  Do I have to pay again to upgrade?

[A] Unless there is a major modification to the program, you are entitled to use the old registration number with the new version of Squeaky Mouse.  Just down-load the new version from the network and enter you re-enter your registration number.

[Q] I have a FM sound card installed in my system, but my mouse squeak.

[A] A squeaking cry in recorded in a *.wav format and to requires a environment to replay this *.wav file.  These are some device drivers on some systems (e.g. IBM AT compatible and PC-9800 series computers) that will allow the beeper to replay this file.

[Q] I can not drag & drop files to a Wild Card Cheek Pouch from program other than the File Manager.

[A] Check if the Wild Card Cheek Pouch field in page 5- Cheek Pouch screen of the Preference dialog box is checked.  If it is, the software you are using is not completely compatible with the File Manager.  Unfortunately, Squeaky Mouse only support software that is File Manager compatible.

[Q] When I try to run Squeaky Mouse, a video driver error message appears.

[A] There is some problem with video drivers which uses compressed 16 bitmap.  Please try to get the most recent driver from the card manufacture.

[Q] My group want to buy Squeaky Mouse.  Can you send us a bill me and can I get a receipt?

[A] If it's only for 1 or 2 copies, please buy individually.  However, if it is for more, I will gladly send you a bill and a receipt after the payment has been processed.  Send me a E-mail for further information.

[Q] Quick command does not work with Excel Ver.5.

[A] Quick Selection can only be used with standard Windows list or edit boxes.  Unfortunately, the recent programming trend is use special techniques to display objects that only "seems" to look like list or edit boxes.  Squeaky Mouse will not be able to recognize these objects.  Hence, Quick Selection cannot be used.

[Q] Squeaky Mouse disappear when my screen saver becomes active.

[A] Make the Squeaky Mouse to dance by selecting one of the dance in the page 1 - General Appearance screen of the Preference dialog box.  Icon will be periodically be redrawn and it will cease from disappearing.  The actual problem, however, is with the screen saver.  Get in contact with the developer and ask him to fix the problem.

[Q] My mouse always appear on the bottom left-hand side.  How could I make him appear at a different place?

[A] Check the No Preferred Spot box in page 1 - General Appearance of the Preference dialog box.  If this field is not checked, I will always appear at the location specified by the My Preferred Spot in the Control Menu.

[Q] Sometimes, Squeaky Mouse program does not execute immediately after Windows is started.

[A] Adding the Squeaky Mouse icon to the Start Up group in the Program Manager will automatically load the Squeaky Mouse program when Windows is started.  However, if many programs are located during the Windows start-up, Squeaky Mouse will get confused and will not come out from his hole.  To avoid this from happening, please add the Squeaky Mouse icon to the very end (usually the lower right hand side corner of the Start-Up group).

[Q] How do I use the cheek pouch?

[A] A cheek pouch is similar to a trash can.  It keeps objects dropped into the pouch (objects that are to be deleted).  ->About My Cheek Pouch  ->Setting the Cheek Pouch


Other Matters

-All the rights to Squeaky Mouse is owned by ike.

-Squeaky Mouse is a shareware.

-The developer of the software will not take responsibilities for any damages that may occur with the use of this software.  The user is advised to test the program thoroughly before registering.

-Squeaky Mouse is distributed "as is" and without any expressed and implied warranties.  The user assumes the entire risk of using Squeaky Mouse.

-Any liability of the programmer or distributor is limited exclusively to redistribution of a registration number when a user is a registered user.  No refund will be provided.

-If Squeaky Mouse is to me mentioned in an article, please contact the developer.  The developer will be very grateful if a copy of an article is sent to him.

-Developer is willing to discuss matters concerning having Squeaky Mouse files installed in a supplemental floppy or in a CD-ROM for distribution with a magazine.

-User support will be provided through CompuServe E-mail service.

-New version of Squeaky Mouse will be available in CompuServe libraries and from supplementary diskette included with magazines and books (approval from the developer is necessary).  The developer will not distributed programs on a floppy disk.

-Distribution of Squeaky Mouse files is prohibited without the consent of the developer.  If you are a sysop, however, and want to have Squeaky Mouse on your BBS, please contact the developer for negotiation.


My Diary

Version 1.9E October 14, 1994

-English version of Squeaky Mouse Version 1.9 released

Version 1.9 August 8, 1994

-Terminate Power Cursor when Windows is closed

-Change running style

-Return to former position when left button is pressed during QuickScroll

-Change QuickScroll so it will not scroll until a mouse button is released

-Append numbers 0 to 9 to QuickKey pad

-Add Ignore option to Quick Learn dialog box

Version 1.8 May 23, 1994

-Support Squeaky Mouse Power Cursor

-Support QuickScroll commands

-Fix a problem with erroneous returns in some applications

-Fix a bug on Quick Tutorial opening when QuickKey nor QuickList is not used

-Redesign Help screen layout

-Change the way cursor returns from active (Wake-Up) mode.

Version 1.7 March 29, 1994

-Support Wild Cheek bag

-Add option to temporary stop AI learning immediately after running if SHIFT or CTRL key is pressed

-Add QuickList in Multi-line Edit as an option

-Increase number of AI learning item to 128

-Change so the mouse will not return after inactive application ends

-Modify so the mouse cursor will return after running

-Modify running wheel

-Add Q &A section to Help and change overall layout

-Support FWINDEVDRAGSLECT,FWINDEVDRAGMOVE messages

-Change Enlarged QuickKey dialog box key order

Version 1.6 January 20, 1994

-Fix program from UAE that occurred when I squeak when Windows is closed

-Modify me so I would not return after running

-Add Clipboard functions to QuickList dialog box

-Add option to allow ENTER button to be pressed with right mouse button click to open QuickList.

-Allow contents that can be clipboarded to be supported by MultiLineEdit

-Add dancing styles (total of 4)

-Differentiate different windows, so Squeaky Mouse won't run after a wrong object

-Add option to edit QuickList

-Add option to Disable Quick Learning

-Add option to stop squeak when COM port is in use

-Add option to close Cheek Pouch and Preference dialog boxes when right mouse button is pressed

-Add AI Learning function

-Change wording License Number to Registration number

Version 1.5 November 01, 1993

-Change maximum number of rows to 20 and maximum width to 127 in QuickList

-Add No Preferred Spot option

-Add Disable Animation option

-Improve cheek pouch to display file name when objects are put in

-Add sound to  cheek pouch

Version 1.4 September 21, 1993

-Made Cheek Pouch window smaller

-Made bitmap data to be stored in uncompressed format

-Add option to overwrite to overwrite files with same name in a cheek pouch

-Add options to select cheek pouch drive and do display confirmation messages

-Change so Squeaky Mouse won't be confused when windows are suddenly opened

-Stop Squeaky Mouse from running during a capture operation

Version 1.3 September 13, 1993

-Change algorithm to make me smarter

-Add Maximize as one of the condition to run

-Add Maximize and Minimize buttons as one of my Likes and Hate selection

-Fix problem not to UAE in EXCEL

-Add Cheek Pouch function (also supported removable drive)

-Add Timer2 option

-Add Quick Selection Learning functions

-Change Quick Selection to be activated when mouse right button is released

-Change QuickKey to be canceled when ENTER is pressed

Version 1.2 August 25, 1993

-Stop running during capture

-Fix bug that disallowed hook being used in a next application

-Able switching between Fall Asleep and Wake-Up by clicking the right mouse button

-Change Preference dialog to have multiple pages

-Modify dialog boxes to display numerical quality of a scroll bar setting

-Add Restore and Minimize options to running condition

-Add Hate option to objects and add Center and Scroll Bar as one of the selection

-Add Only Dialog Boxes option to the Likes and Dislikes dialog box

-Add option to change my Nickname

-Add QuickList and QuickKey functions

Version 1.1A August 03, 1993

-Change squeaking sound to be generated by software

-Change dancing style

-Made Preference dialog box appear when icon is double-clicked

-Allow bank transfer as a method of payment

Version 1.1	July 07, 1993

-Initial version released